/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.view.action;

import java.util.ArrayList;

import org.eclipse.jface.action.IAction;
import org.postgresforest.tool.action.BrokenLogAction;
import org.postgresforest.tool.db.GSCdata;
import org.postgresforest.tool.util.ErrorLog;
import org.postgresforest.tool.util.SessionProperty;
import org.postgresforest.tool.view.brokenlog.BrokenLogView;
//import org.postgresforest.tool.view.config.ConfigView;

/**
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class DelBrokenLogAction extends ActionBase {

    public static final String ID = "org.postgresforest.tool.view.action.DelBrokenLogAction";
	/* (非 Javadoc)
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void run(IAction action) {
		BrokenLogView view = (BrokenLogView)m_view;
		String id = view.getSelectId();
		ArrayList arrayBrokenLogInfo = view.getSelectedBrokenLogInfoList();
	    

		BrokenLogAction brokenLogAction = new BrokenLogAction((GSCdata)SessionProperty.get("gsc"));
		try {
			brokenLogAction.del(arrayBrokenLogInfo);
		} catch (Exception e1) {
			e1.printStackTrace();
			ErrorLog.log("", e1);
		}
				
		m_view.update();

	}


}
